aboutsummaryrefslogtreecommitdiffstats
path: root/main/gobject-introspection/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-04-01 18:39:36 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-04-01 18:39:36 +0000
commit712ba5daff56793f3be84999aad964d86c1d593e (patch)
tree48e52e3e116ad14958f7e4855bbeb32eea65c535 /main/gobject-introspection/APKBUILD
parentc8e7f7dd27bf2d08c6b31120ba5c3a7eeb603afb (diff)
downloadaports-712ba5daff56793f3be84999aad964d86c1d593e.tar.gz
aports-712ba5daff56793f3be84999aad964d86c1d593e.tar.bz2
aports-712ba5daff56793f3be84999aad964d86c1d593e.tar.xz
main/gobject-introspection: new aport
Introspection system for GObject-based libraries http://live.gnome.org/GObjectInstrospection
Diffstat (limited to 'main/gobject-introspection/APKBUILD')
-rw-r--r--main/gobject-introspection/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/main/gobject-introspection/APKBUILD b/main/gobject-introspection/APKBUILD
new file mode 100644
index 0000000000..6e936cb0ef
--- /dev/null
+++ b/main/gobject-introspection/APKBUILD
@@ -0,0 +1,35 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gobject-introspection
+pkgver=0.6.9
+pkgrel=0
+pkgdesc="Introspection system for GObject-based libraries"
+url="http://live.gnome.org/GObjectInstrospection"
+license="LGPL GPL"
+makedepends="flex bison glib-dev libffi-dev python-dev"
+depends="python glib-dev libffi-dev"
+source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/0.6/$pkgname-$pkgver.tar.bz2"
+
+# since this is a dev package by definition we dont bother separate -dev
+subpackages="$pkgname-doc libgirepository"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+ cd "$_builddir"
+ export CPPFLAGS=
+ ./configure --prefix=/usr --disable-static || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+libgirepository() {
+ pkgdesc="Runtime library for gobject-introspection"
+ cd "$_builddir"
+ install -d "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/libgirepository*.so* "$subpkgdir"/usr/lib/
+}
+
+md5sums="37cb473c6bafd03c4a48e1f37e19cc04 gobject-introspection-0.6.9.tar.bz2"